5004: Enumerate transactions

5004: Enumerate transactions

Retrieves transactions that have been logged for the user with a specific group - optionally filtered by type and time period, with "paging" options (limit and offset)

 

Endpoint ID:

5004

Method:

GET

URL:

/entity/id/{entity-id}/transactions/{transaction-group-id}?type={transaction-type-id}&from={from-date}&to={to-date}&limit={limit}&offset={offset}

/entity/ext-key/{ext-key}/{ext-type}/transactions/{transaction-group-id}?type={transaction-type-id}&from={from-date}&to={to-date}&limit={limit}&offset={offset}

 

entity-id

Rubiq entity ID that uniquely identifies the account to fetch transactions for

 

ext-key

External key that uniquely identifies the account to fetch transactions for

 

ext-type

Type of external key

 

Numeric value identifying the transaction group to search for. This ID is documented in the contract between dialogportal™ and the application

 

transaction-type-id

Optional numeric value identifying the transaction type to search for. This ID is documented in the contract between dialogportal™ and the application

 

from-date

Optional date value limiting the search to only include transactions after this date. The date must be in UTC and formatted as "yyyymmddZ", for example "20140321Z" (21 March 2014).

 

to-date

Optional date value limiting the search to only include transactions before this date. The date must be in UTC and formatted as "yyyymmddZ", for example "20140321Z" (21 March 2014).

 

limit

Optional maximum number of transactions to return. It is not possible to return more than 100 transactions per request, and if omitted, limit is set to 100

 

offset

Optional offset in search results from where to return data. If omitted, offset is set to zero

Request body:

None

JSON data with an array transactions. The result will also contain an object with properties that specify number of transactions returned, the offset and whether there are more transactions than the ones returned.

{ "transactions": [ { "transactionID": 12478636, "transactionGroupID": 12478636, "transactionGroupName": "SomeGroupName", "transactionTypeID": 22, "transactionTypeName": "SomeTypeName", "transactionDate": "2013-03-25T09:40:22.418Z", "value": 1, "reference": "RegisterSomeVoucherID" }, { "transactionID": 12478837, "transactionGroupID": 12478636, "transactionGroupName": "SomeGroupName", "transactionTypeID": 26, "transactionTypeName": "SomeOtherTypeName", "transactionDate": "2013-09-14T11:01:15.902Z", "value": 8.5, "reference": "RegisterSomeVoucherID" } ], "paging": { "offset": 0, "count": 2, "more": false } }

 

 

 

Status codes:

200

Transaction existence checked with success

 

404

Account, transaction group or transaction type was not found, or no transactions were found.

The following sub codes may be returned:

404.1

User not found

404.2

External user could not be found

404.4

Transaction group not found

404.5

Transaction type not found

404.6

No transactions found